org.gjt.sp.jedit.msg

## Class BufferChanging

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.EditPaneUpdate
    - - org.gjt.sp.jedit.msg.PositionChanging
      - - org.gjt.sp.jedit.msg.BufferChanging

    public class BufferChanging
    extends PositionChanging

An EBMessage sent by the EditPane just before the buffer changes. jEdit core emits this whenever the EditPane's buffer changes. Known plugins to be using this: BufferLocal, Navigator.

Since:
  jEdit 4.3pre4

### Field Summary

### Fields inherited from class org.gjt.sp.jedit.msg.EditPaneUpdate

`BUFFER_CHANGED, BUFFER_CHANGING, BUFFERSET_CHANGED, CREATED, DESTROYED, POSITION_CHANGING`

### Constructor Summary

Constructors
Constructor and Description
`BufferChanging(EditPane editPane, Buffer newBuffer)`

### Method Summary

Methods
`Buffer` `getBuffer()`

### Methods inherited from class org.gjt.sp.jedit.msg.EditPaneUpdate

`getEditPane, getWhat, paramString`

### Methods inherited from class org.gjt.sp.jedit.EBMessage

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferChanging

    public BufferChanging(EditPane editPane,
                  Buffer newBuffer)

Parameters:
  `editPane` - the editPane that sent the message
  `newBuffer` - the buffer that will soon be displayed.

### Method Detail

#### getBuffer

    public Buffer getBuffer()

Returns:
  the new buffer that is about to be displayed